Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gnu.xml.pipeline
Class XsltFilter

    java.lang.Object
      |
      +--gnu.xml.pipeline.EventFilter
            |
            +--gnu.xml.pipeline.XsltFilter

All Implemented Interfaces:
  ContentHandler, DeclHandler, DTDHandler, EventConsumer, LexicalHandler

public final class XsltFilter
extends EventFilter

Packages an XSLT transform as a pipeline component. Note that all DTD events (callbacks to DeclHandler and DTDHandler interfaces) are discarded, although XSLT transforms may be set up to use the LexicalHandler to write DTDs with only an external subset. Not every XSLT engine will necessarily be usable with this filter, but current versions of SAXON and Xalan should work well.

Version:
  $Date: 2001/10/23 23:12:58 $
Author:
  David Brownell
See Also:
  `TransformerFactory`

Fields inherited from class gnu.xml.pipeline.EventFilter
`DECL_HANDLER, FEATURE_URI, LEXICAL_HANDLER, PROPERTY_URI`

Constructor Summary
`XsltFilter(java.lang.String stylesheet, EventConsumer next)` Creates a filter that performs the specified transform.

Methods inherited from class gnu.xml.pipeline.EventFilter
`attributeDecl, bind, chainTo, characters, comment, elementDecl, endCDATA, endDocument, endDTD, endElement, endEntity, endPrefixMapping, externalEntityDecl, getContentHandler, getDocumentLocator, getDTDHandler, getErrorHandler, getNext, getProperty, ignorableWhitespace, internalEntityDecl, notationDecl, processingInstruction, setContentHandler, setDocumentLocator, setDTDHandler, setErrorHandler, setProperty, skippedEntity, startCDATA, startDocument, startDTD, startElement, startEntity, startPrefixMapping, unparsedEntityDecl`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XsltFilter

    public XsltFilter(java.lang.String stylesheet,
                      EventConsumer next)
               throws SAXException,
                      java.io.IOException

  Creates a filter that performs the specified transform. Uses the JAXP 1.1 interfaces to access the default XSLT engine configured for in the current execution context, and parses the stylesheet without custom EntityResolver or ErrorHandler support.
  Parameters:
    `stylesheet` - URI for the stylesheet specifying the XSLT transform
    `next` - provides the ContentHandler and LexicalHandler to receive XSLT output.
  Throws:
    `SAXException` - if the stylesheet can't be parsed
    `java.io.IOException` - if there are difficulties bootstrapping the XSLT engine, such as it not supporting SAX well enough to use this way.

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Source code is under GPL (with library exception) in the JAXP project at http://www.gnu.org/software/classpathx/jaxp
This documentation was derived from that source code on 2001-11-20.